using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace JtkPcClientWpf {
    /// <summary>
    /// App.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class App : Application {
        //public readonly LoginManager LoginManager = Current.Resources["loginManager"] as LoginManager;

        public static string PcId { get; protected set; } = "pc001";
        public static string LocalServerAddress { get; protected set; } = "localhost";

        protected override void OnStartup(StartupEventArgs e) {
            base.OnStartup(e);
            
            if (e.Args.Length == 2) {
                PcId = e.Args[0];
                LocalServerAddress = e.Args[1];
            }
        }

        protected override void OnExit(ExitEventArgs e) {
            base.OnExit(e);

            
        }
    }
}
